Loading...
Searching...
No Matches
irr::video::SExposedVideoData Struct Reference

structure for holding data describing a driver and operating system specific data. More...

`#include <SExposedVideoData.h>`

## Public Member Functions

| SExposedVideoData ()
| SExposedVideoData (void *Window)

## Public Attributes

union { |
struct { |
IDirect3D8 * D3D8 |
| Pointer to the IDirect3D8 interface. More...
IDirect3DDevice8 * D3DDev8 |
| Pointer to the IDirect3DDevice8 interface. More...
void * HWnd |
| Window handle. More...
} D3D8
struct { |
IDirect3D9 * D3D9 |
| Pointer to the IDirect3D9 interface. More...
IDirect3DDevice9 * D3DDev9 |
| Pointer to the IDirect3DDevice9 interface. More...
void * HWnd |
| Window handle. More...
} D3D9
struct { |
void * X11Context |
void * X11Display |
unsigned long X11Window |
} OpenGLLinux
struct { |
void * HDc |
| Private GDI Device Context. More...
void * HRc |
| Permanent Rendering Context. More...
void * HWnd |
| Window handle. More...
} OpenGLWin32
}; |

## Detailed Description

structure for holding data describing a driver and operating system specific data.

This data can be retrived by IVideoDriver::getExposedVideoData(). Use this with caution. This only should be used to make it possible to extend the engine easily without modification of its source. Note that this structure does not contain any valid data, if you are using the software or the null device.

Definition at line 25 of file SExposedVideoData.h.

## Constructor & Destructor Documentation

## SExposedVideoData() [1/2]

irr::video::SExposedVideoData::SExposedVideoData | ( |  | ) |

inline

Definition at line 27 of file SExposedVideoData.h.

References OpenGLWin32.

## SExposedVideoData() [2/2]

irr::video::SExposedVideoData::SExposedVideoData | ( | void * | Window | ) |

inline explicit

Definition at line 28 of file SExposedVideoData.h.

References OpenGLWin32.

## Member Data Documentation

## [union]

union { ... } irr::video::SExposedVideoData

## [struct] [1/2]

struct { ... } irr::video::SExposedVideoData::D3D8

## D3D8 [2/2]

IDirect3D8* irr::video::SExposedVideoData::D3D8

Pointer to the IDirect3D8 interface.

Definition at line 49 of file SExposedVideoData.h.

## [struct] [1/2]

struct { ... } irr::video::SExposedVideoData::D3D9

## D3D9 [2/2]

IDirect3D9* irr::video::SExposedVideoData::D3D9

Pointer to the IDirect3D9 interface.

Definition at line 35 of file SExposedVideoData.h.

## D3DDev8

IDirect3DDevice8* irr::video::SExposedVideoData::D3DDev8

Pointer to the IDirect3DDevice8 interface.

Definition at line 52 of file SExposedVideoData.h.

## D3DDev9

IDirect3DDevice9* irr::video::SExposedVideoData::D3DDev9

Pointer to the IDirect3DDevice9 interface.

Definition at line 38 of file SExposedVideoData.h.

## HDc

void* irr::video::SExposedVideoData::HDc

Private GDI Device Context.

Get if for example with: HDC h = reinterpret_cast<HDC>(exposedData.OpenGLWin32.HDc)

Definition at line 64 of file SExposedVideoData.h.

## HRc

void* irr::video::SExposedVideoData::HRc

Permanent Rendering Context.

Get if for example with: HGLRC h = reinterpret_cast<HGLRC>(exposedData.OpenGLWin32.HRc)

Definition at line 68 of file SExposedVideoData.h.

## HWnd

void* irr::video::SExposedVideoData::HWnd

Window handle.

Get with for example HWND h = reinterpret_cast<HWND>(exposedData.D3D9.HWnd)

Get with for example with: HWND h = reinterpret_cast<HWND>(exposedData.D3D8.HWnd)

Get with for example with: HWND h = reinterpret_cast<HWND>(exposedData.OpenGLWin32.HWnd)

Definition at line 42 of file SExposedVideoData.h.

## [struct]

struct { ... } irr::video::SExposedVideoData::OpenGLLinux

## [struct]

struct { ... } irr::video::SExposedVideoData::OpenGLWin32

Referenced by SExposedVideoData(), and SExposedVideoData().

## X11Context

void* irr::video::SExposedVideoData::X11Context

Definition at line 79 of file SExposedVideoData.h.

## X11Display

void* irr::video::SExposedVideoData::X11Display

Definition at line 78 of file SExposedVideoData.h.

## X11Window

unsigned long irr::video::SExposedVideoData::X11Window

Definition at line 80 of file SExposedVideoData.h.

The documentation for this struct was generated from the following file:

- SExposedVideoData.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0